Bug 476861 - aoss command load wrong library file
aoss command load wrong library file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: alsa-oss (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 11:00 EST by Jean-Francois Saucier
Modified: 2009-12-11 15:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 15:56:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New aoss wrapper script (375 bytes, application/octet-stream)
2008-12-18 16:27 EST, Jean-Francois Saucier
no flags Details

  None (edit)
Description Jean-Francois Saucier 2008-12-17 11:00:17 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.4) Gecko/2008111217 Fedora/3.0.4-1.fc10 Firefox/3.0.4

The aoss wrapper has an error in the command. It has an error in the path to libaoss.so.0. The line 10 :

LD_PRELOAD=${exec_prefix}/\$LIB/libaoss.so${LD_PRELOAD:+:$LD_PRELOAD} exec "$@"

must be :

LD_PRELOAD=${exec_prefix}/\$LIB/libaoss.so.0${LD_PRELOAD:+:$LD_PRELOAD} exec "$@"

Reproducible: Always

Steps to Reproduce:
1.Install aoss
2.Try to use it
3.Check the wrapper script
Actual Results:  
libaoss.so.0 is not loaded and used

Expected Results:  
libaoss.so.0 is loaded and used
Comment 1 Jean-Francois Saucier 2008-12-18 16:25:30 EST
I have another solution. After a discussion about padsp (see bug #476865 : https://bugzilla.redhat.com/show_bug.cgi?id=476865), I write a new version of the aoss wrapper to better work with 32 and 64 bits environment.

I will attach the script so you can check it out.
Comment 2 Jean-Francois Saucier 2008-12-18 16:27:04 EST
Created attachment 327368 [details]
New aoss wrapper script
Comment 3 Bug Zapper 2009-11-18 05:30:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Michael Schwendt 2009-12-11 15:56:15 EST
Fixed since 1.0.17-2.fc10 (Sep 2008), which has never been pushed as a Fedora 10 update unfortunately, however.

As Fedora 10 has reached end-of-life, there won't be a late update for this anymore. The issue is fixed in Fedora 11 and newer, only.

Note You need to log in before you can comment on or make changes to this bug.